From fa811a8dcb8321c0a09422a2339dac5efd2b6ece Mon Sep 17 00:00:00 2001
From: Rachid Mazini <rachid.mazini@cern.ch>
Date: Thu, 23 Jul 2020 13:22:36 +0000
Subject: [PATCH] Merge branch 'mc16_setup_test_G4FastCalo_21.0' into '21.0'

Changing to MC16 setup

See merge request atlas/athena!35002

(cherry picked from commit eef9bc06467b48805e9ee5cd6164e72fb4e5d18d)

421b1fdc Changing to MC16 setup
6fe1c16b Update test_Sim_G4FastCalo_ttbar.sh
8901012b rename test_Sim_G4FastCalo_ttbar.sh
---
 .../test/test_MC16_G4FastCalo_ttbar.sh        | 40 +++++++++++++++++++
 .../src/TrigEFMissingETHypo.h                 |  0
 2 files changed, 40 insertions(+)
 create mode 100755 Simulation/ISF/ISF_Validation/test/test_MC16_G4FastCalo_ttbar.sh
 mode change 100755 => 100644 Trigger/TrigHypothesis/TrigMissingETHypo/src/TrigEFMissingETHypo.h

diff --git a/Simulation/ISF/ISF_Validation/test/test_MC16_G4FastCalo_ttbar.sh b/Simulation/ISF/ISF_Validation/test/test_MC16_G4FastCalo_ttbar.sh
new file mode 100755
index 00000000000..7a1d99faab2
--- /dev/null
+++ b/Simulation/ISF/ISF_Validation/test/test_MC16_G4FastCalo_ttbar.sh
@@ -0,0 +1,40 @@
+#!/bin/sh
+#
+# art-description: MC16-style simulation using G4FastCalo
+# art-include: 21.0/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+# art-include: master/Athena
+# art-type: grid
+# art-output: test.HITS.pool.root
+# art-output: truth.root
+
+# MC16 setup
+# ATLAS-R2-2016-01-00-01 and OFLCOND-MC16-SDR-14
+Sim_tf.py \
+--conditionsTag 'default:OFLCOND-MC16-SDR-14' \
+--physicsList 'FTFP_BERT_ATL' \
+--truthStrategy 'MC15aPlus' \
+--simulator 'G4FastCalo' \
+--postInclude 'default:PyJobTransforms/UseFrontier.py' \
+--preInclude 'EVNTtoHITS:SimulationJobOptions/preInclude.BeamPipeKill.py,SimulationJobOptions/preInclude.FrozenShowersFCalOnly.py' \
+--preExec 'EVNTtoHITS:simFlags.TightMuonStepping=True' 'from ISF_FastCaloSimServices.ISF_FastCaloSimJobProperties import ISF_FastCaloSimFlags;ISF_FastCaloSimFlags.ParamsInputFilename="/cvmfs/atlas.cern.ch/repo/sw/database/GroupData/FastCaloSim/MC16/TFCSparam_v012.root"'\
+--DataRunNumber '284500' \
+--geometryVersion 'default:ATLAS-R2-2016-01-00-01' \
+--inputEVNTFile "/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/SimCoreTests/valid1.410000.PowhegPythiaEvtGen_P2012_ttbar_hdamp172p5_nonallhad.evgen.EVNT.e4993.EVNT.08166201._000012.pool.root.1" \
+--outputHITSFile "test.HITS.pool.root" \
+--maxEvents 4 \
+--imf False
+
+rc=$?
+rc2=-9999
+echo  "art-result: $rc simulation"
+if [ $rc -eq 0 ]
+then
+    ArtPackage=$1
+    ArtJobName=$2
+    art.py compare grid --entries 4 ${ArtPackage} ${ArtJobName} --mode=semi-detailed
+    rc2=$?
+fi
+
+echo  "art-result: $rc2 regression"
diff --git a/Trigger/TrigHypothesis/TrigMissingETHypo/src/TrigEFMissingETHypo.h b/Trigger/TrigHypothesis/TrigMissingETHypo/src/TrigEFMissingETHypo.h
old mode 100755
new mode 100644
-- 
GitLab